## chromium-browser 43.0.2357.65

=== debian/changelog ===
chromium-browser (43.0.2357.65-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1252: Sandbox escape in Chrome. Credit to anonymous.
    - CVE-2015-1253: Cross-origin bypass in DOM. Credit to anonymous.
    - CVE-2015-1254: Cross-origin bypass in Editing. Credit to
      armin@rawsec.net.
    - CVE-2015-1255: Use-after-free in WebAudio. Credit to Khalil Zhani.
    - CVE-2015-1256: Use-after-free in SVG. Credit to Atte Kettunen.
    - CVE-2015-1251: Use-after-free in Speech. Credit to SkyLined.
    - CVE-2015-1257: Container-overflow in SVG. Credit to miaubiz.
    - CVE-2015-1258: Negative-size parameter in Libvpx.  Credit to cloudfuzzer
    - CVE-2015-1259: Uninitialized value in PDFium. Credit to Atte Kettunen.
    - CVE-2015-1260: Use-after-free in WebRTC. Credit to Khalil Zhani.
    - CVE-2015-1261: URL bar spoofing. Credit to Juho Nurminen.
    - CVE-2015-1262: Uninitialized value in Blink. Credit to miaubiz.
    - CVE-2015-1263: Insecure download of spellcheck dictionary.  Credit to
      Mike Ruddy.
    - CVE-2015-1264: Cross-site scripting in bookmarks. Credit to K0r3Ph1L.
    - Fix for gzip file downloading (closes: #677948).
    - Fix for bookmark navigation (closes: #756211).
  * Enable HiDPI (closes: #763421).
  * Make chromium-l10n binnmuable.
  * Fix Built-Using fields.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 May 2015 22:37:06 +0000

chromium-browser (42.0.2311.135-2) unstable; urgency=medium

  * Remove src/ prefix in debian/copyright.
  * Fix path to default configuration files.
  * Describe omnibox search in README.debian (closes: 781591).
  * Fix application name in the launcher script (closes: #783858).
  * Set CHROME_WRAPPER to /usr/bin/chromium by default (closes: #783097).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 May 2015 14:53:34 +0000

chromium-browser (42.0.2311.135-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * Remove some unneeded files from the upstream tarball.
  * Move default configuration files to /usr/share/chromium.
  * New upstream stable release:
    - CVE-2015-1243: Use-after-free in DOM. Credit to Saif El-Sherei.
    - CVE-2015-1250: Various fixes from internal audits, fuzzing and other
      initiatives.

  [ Shawn Landden ]
  * Suppress first run welcome page.
  * Turn off safebrowsing.
  * Turn off pinging Google on 404 and other HTTP errors.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 30 Apr 2015 01:08:53 +0000

chromium-browser (42.0.2311.90-2) unstable; urgency=medium

  * Update debian/copyright.
  * Drop some unused patches.
  * Drop chromium-inspector package.
  * Remove Giuseppe from the uploaders.
    - Many thanks for the prior contributions.
  * Fix built on text (closes: #782052).
  * Fix path to master_preferences (closes: #777708).
  * Disable default browser warning (closes: #777265).
  * Conflict with libgl1-mesa-swx11 (closes: #776388).
  * Add MHTML mimetype to chromium.desktop (closes: #769039).
  * Tighten chromium-l10n versioned dependency (closes: #781505).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Apr 2015 18:49:52 +0000

chromium-browser (42.0.2311.90-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1235: Cross-origin-bypass in HTML parser. Credit to anonymous.
    - CVE-2015-1236: Cross-origin-bypass in Blink. Credit to Amitay Dobo.
    - CVE-2015-1237: Use-after-free in IPC. Credit to Khalil Zhani.
    - CVE-2015-1238: Out-of-bounds write in Skia. Credit to cloudfuzzer.
    - CVE-2015-1240: Out-of-bounds read in WebGL. Credit to w3bd3vil.
    - CVE-2015-1241: Tap-Jacking. Credit to Phillip Moon and Matt Weston.
    - CVE-2015-1242: Type confusion in V8. Credit to fcole@onshape.com.
    - CVE-2015-1244: HSTS bypass in WebSockets. Credit to Mike Ruddy.
    - CVE-2015-1245: Use-after-free in PDFium. Credit to Khalil Zhani.
    - CVE-2015-1246: Out-of-bounds read in Blink. Credit to Atte Kettunen.
    - CVE-2015-1247: Scheme issues in OpenSearch. Credit to Jann Horn.
    - CVE-2015-1248: SafeBrowsing bypass. Credit to Vittorio Gambaletta.
    - CVE-2015-1249: Various fixes from internal audits, fuzzing and other
      initiatives.  Also multiple issues in v8 4.2.77.14.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 16 Apr 2015 00:12:00 +0000

=== debian/control ===
Source: chromium-browser
Section: web
Priority: optional
Maintainer: Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
Vcs-Git: git://anonscm.debian.org/pkg-chromium/pkg-chromium.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-chromium/pkg-chromium.git
Homepage: http://www.chromium.org/Home
Build-Depends:
 clang (>= 3.5),
 debhelper (>= 9),
 gyp,
 python3,
 pkg-config,
 ninja-build,
 python-jinja2,
 ca-certificates,
 wget,
 flex,
 yasm,
 xvfb,
 wdiff,
 gperf,
 bison,
 valgrind,
 xz-utils,
 x11-apps,
 xfonts-base,
 libglewmx-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libegl1-mesa-dev,
 libgles2-mesa-dev,
 mesa-common-dev,
 libgtk2.0-dev,
 libglib2.0-dev,
 libxt-dev,
 libre2-dev,
 libpng-dev,
 libxss-dev,
 libelf-dev,
 libvpx-dev,
 libssl-dev,
 libpci-dev,
 libcap-dev,
 libdrm-dev,
 libusb-dev,
 libicu-dev,
 libkrb5-dev,
 libexif-dev,
 libudev-dev,
 libopus-dev,
 libwebp-dev,
 libxtst-dev,
 libsrtp-dev,
 libjpeg-dev,
 libxml2-dev,
 libxslt1-dev,
 libpulse-dev,
 libspeex-dev,
 libpam0g-dev,
 libsnappy-dev,
 libgconf2-dev,
 libasound2-dev,
 libjsoncpp-dev,
 libspeechd-dev,
 libminizip-dev,
 libhunspell-dev,
 libmodpbase64-dev,
 libgnome-keyring-dev,
 libnss3-dev (>= 3.12.3),
 libnspr4-dev (>= 2:4.9),
 libcups2-dev (>= 1.5.0),
 libevent-dev (>= 1.4.13),
 libjs-jquery,
 libjs-excanvas,
 libjs-jquery-flot,
 libgcrypt20-dev,
 fonts-ipafont-gothic,
 fonts-ipafont-mincho,
Standards-Version: 3.9.6

Package: chromium
Architecture: i386 amd64
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x11-utils,
 xdg-utils,
Suggests:
 chromium-l10n,
Provides:
 www-browser,
 gnome-www-browser,
Conflicts:
 libgl1-mesa-swx11,
Description: web browser
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the web browser component.

Package: chromium-dbg
Architecture: i386 amd64
Section: debug
Priority: extra
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 chromium (= ${binary:Version}),
Description: web browser - debugging symbols
 A web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains the debugging symbols.

Package: chromium-l10n
Architecture: all
Section: localization
Depends:
 ${misc:Depends},
 chromium (>= ${source:Version}), chromium (<< ${source:Version}.1~),
Description: web browser - language packs
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package contains language packages for:
 am, ar, bg, bn, ca, cs, da, de, el, en-GB, es-419, es, et, fi, fil, fr, gu, he,
 hi, hr, hu, id, it, ja, kn, ko, lt, lv, ml, mr, nb, nl, pl, pt-BR, pt-PT,
 ro, ru, sk, sl, sr, sv, sw, ta, te, th, tr, uk, vi, zh-CN, zh-TW

Package: chromedriver
Architecture: i386 amd64
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 chromium (= ${binary:Version}),
Description: web browser - WebDriver support
 Web browser that aims to build a safer, faster, and more stable internet
 browsing experience.
 .
 This package provides a bridge between the browser component and the selenium
 automatic webdriver.
 .
 See http://code.google.com/p/selenium/wiki/ChromeDriver for details.

=== debian/rules ===
#!/usr/bin/make -f

# enable verbose build messages
export DH_VERBOSE=1

# enable all build hardening flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# linker flags to avoid memory allocation issues on i386
export LDFLAGS+=-Wl,--no-keep-memory -Wl,--reduce-memory-overheads -Wl,--hash-size=7919

# more verbose linker output
export LDFLAGS+=-Wl,--trace -Wl,--stats

# treat all warnings as errors
defines=werror=

# use clang instead of gcc
defines+=clang=1
defines+=clang_use_chrome_plugins=

# disabled features
defines+=use_ozone=0 \
         use_gconf=0 \
         use_allocator=none \
         linux_breakpad=0 \
         linux_use_libgps=0 \
         linux_use_gold_flags=0 \
         linux_use_bundled_gold=0 \
         linux_use_bundled_binutils=0 \
         remoting=0 \
         disable_nacl=1 \
         enable_remoting_host=0 \

# enabled features
defines+=enable_hidpi=1 \
         enable_webrtc=1 \
         use_gio=1 \
         use_pulseaudio=1 \
         use_gnome_keyring=1 \
         linux_link_libpci=1 \
         linux_link_gsettings=1 \
         linux_link_libspeechd=1 \
         linux_link_gnome_keyring=1 \

# system libraries to use
defines+=use_system_re2=1 \
         use_system_yasm=1 \
         use_system_opus=1 \
         use_system_zlib=1 \
         use_system_speex=1 \
         use_system_expat=1 \
         use_system_snappy=1 \
         use_system_libpng=1 \
         use_system_libxml=1 \
         use_system_libjpeg=1 \
         use_system_libwebp=1 \
         use_system_libxslt=1 \
         use_system_libsrtp=1 \
         use_system_jsoncpp=1 \
         use_system_libevent=1 \
         use_system_harfbuzz=1 \
         use_system_xdg_utils=1 \

# enable proprietary codecs
defines+=proprietary_codecs=1 \
         ffmpeg_branding=Chrome \

# use embedded protobuf for now (bug #764911)
defines+=use_system_protobuf=0 \

# icu
defines+=use_system_icu=0 \
         #icu_use_data_file_flag=0 \
         #want_separate_host_toolset=0 \

# embedded libraries (0 is the default, so just making some notes about the issues)
#  use_system_libusb=0 requires modified source that exposes libusb_interrupt_handle_event api
#  use_system_libvpx=0 requires modified source that exposes different api
#  use_system_sqlite=0 build fails
#  use_system_ffmpeg=0 build fails
#  can't use system nss since net/third_party/nss is heavily patched
#  can't use system ots (open text *summarizer*) since that's not google's ots (open text *sanitizer*)

# make gyp a little more informative
options+=--check \
         --debug=includes \

# avoid the need for a special src directory (--depth=. seems to require --no-parallel)
options+=--depth=. \
         --no-parallel \

# handle parallel build options
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
njobs=-j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# paths to files needed by flot
flotpaths=/usr/share/javascript/jquery/*min.js \
          /usr/share/javascript/jquery-flot/*min.js \

# files to exclude from the upstream tarball
excluded=native_client/NOTICE \
	 third_party/flot/* \
	 third_party/libsrtp/srtp/doc/rfc3711.txt \
	 third_party/mesa/src/src/gallium/state_trackers/d3d1x/w32api \

%:
	dh $@ --parallel

override_dh_auto_configure:
	for file in $(flotpaths); do ln -sf $$file third_party/flot; done
	GYP_DEFINES="$(defines)" ./build/gyp_chromium $(options)

override_dh_auto_build:
	ninja $(njobs) -C out/Release chrome chrome_sandbox chromedriver
	mv out/Release/chrome out/Release/chromium || true
	mv out/Release/chrome.1 out/Release/chromium.1 || true
	mv out/Release/locales/en-US.pak out/Release/resources || true
	mv out/Release/chrome_sandbox out/Release/chrome-sandbox || true
	chmod 4755 out/Release/chrome-sandbox # suid sandbox

override_dh_auto_install-arch:
	dh_auto_install
	echo "Any files placed in this directory will be sourced prior to executing chromium." \
	    > debian/chromium/etc/chromium.d/README
	# update launcher script with build information
	sed 's|@BUILD_DIST@|$(shell cat /etc/debian_version)|' \
	    < debian/scripts/chromium > debian/chromium/usr/bin/chromium
	# move icons into /usr/share
	for file in $(shell find chrome/app/theme/chromium -name product_logo_[0-9]* -a ! -name *mono*); do \
	    ext=$$(echo $$file | cut -d\. -f2); \
	    siz=$$(echo $$file | cut -d_ -f3 | sed s/\.$$ext//); \
	    dst=debian/chromium/usr/share/icons/hicolor/$$siz\x$$siz/apps; \
	    mkdir -p $$dst; \
	    cp $$file $$dst/chromium.$$ext; \
	    done

override_dh_fixperms:
	dh_fixperms --exclude chrome-sandbox

override_dh_strip:
	dh_strip --dbg-package=chromium-dbg

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libjs-jquery libjs-jquery-flot)"

override_dh_auto_clean:
	rm -rf out Makefile third_party/flot/*
	find . -name \*.mk -execdir rm -rf {} \;
	find . -name \*.pyc -execdir rm -rf {} \;

###################### upstream source downloading ############################

url=https://gsdview.appspot.com/chromium-browser-official
version=$(shell dpkg-parsechangelog --show-field=version | sed s/-.*//)
tarball=chromium-$(version).tar.xz

get-orig-source:
	wget -c $(url)/$(tarball) -O ../$(tarball) && \
	    x=$$(tar tf ../$(tarball) --strip-components=1 | grep -e config\.sub -e config\.guess -e \*.mk) && \
	    y=$$(for f in $(excluded) $$x; do echo --exclude-file $$f; done) && \
	    mk-origtargz $$y ../$(tarball)

## chromium-browser 43.0.2357.81

=== debian/changelog ===
chromium-browser (43.0.2357.81-0ubuntu0.14.04.1.1089) trusty-security; urgency=medium

  * Upstream release 43.0.2357.81.
    - "Icons not displaying properly on Linux" (LP: #1449063)
  * Upstream release 43.0.2357.65:
    - CVE-2015-1252: Sandbox escape in Chrome.
    - CVE-2015-1253: Cross-origin bypass in DOM.
    - CVE-2015-1254: Cross-origin bypass in Editing.
    - CVE-2015-1255: Use-after-free in WebAudio.
    - CVE-2015-1256: Use-after-free in SVG.
    - CVE-2015-1251: Use-after-free in Speech.
    - CVE-2015-1257: Container-overflow in SVG.
    - CVE-2015-1258: Negative-size parameter in Libvpx. 
    - CVE-2015-1259: Uninitialized value in PDFium.
    - CVE-2015-1260: Use-after-free in WebRTC.
    - CVE-2015-1261: URL bar spoofing.
    - CVE-2015-1262: Uninitialized value in Blink.
    - CVE-2015-1263: Insecure download of spellcheck dictionary. 
    - CVE-2015-1264: Cross-site scripting in bookmarks.
    - CVE-2015-1265: Various fixes from internal audits, fuzzing and other
      initiatives.
    - Multiple vulnerabilities in V8 fixed at the tip of the 4.3 branch
      (currently 4.3.61.21).
  * debian/patches/display-scaling-report-hardware-info: removed, unnecessary.
  * debian/patches/coordinate-space-map: removed, unnecessary.
  * debian/patches/enable_vaapi_on_linux.diff: Temporarily disable patch until
    ARM works.
  * debian/chromium-browser.sh.in: Add --verbose to get logging info.
  * debian/patches/{notifications-nicer,mir-support}: disable unnecessary
    patches.
  * debian/control, debian/chromium-browser.sh.in: Prompt nothing about 
    Flash plugin. Send Help clicks to Wiki instead.

 -- Chad MILLER <chad.miller@canonical.com>  Mon, 01 Jun 2015 15:29:04 -0400

=== debian/control ===
Source: chromium-browser
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XS-Testsuite: autopkgtest
Vcs-Bzr: https://code.launchpad.net/~chromium-team/chromium-browser/trusty-working
Homepage: http://code.google.com/chromium/
Build-Depends:
	debhelper (>= 9),
	dh-buildinfo,
	ninja-build (>= 1.3),
	pkg-config,
	lsb-release,
	quilt,
	python,
	bison,
	gperf,
	libpulse-dev,
	libcups2-dev | libcupsys2-dev,
	libasound2-dev,
	libnss3-dev,
	libgles2-mesa-dev [armel armhf],
	libpci-dev,
	libxtst-dev,
	libxss-dev,
	libgtk2.0-dev,
	libglib2.0-dev,
	libgnome-keyring-dev,
	libudev-dev,
	libgconf2-dev,
	libdrm-dev,
	libcap-dev,
	libexif-dev,
	libgcrypt-dev,
	libkrb5-dev,
	libssl-dev,
	chrpath,
	gcc-4.8,
	g++-4.8,
	xdg-utils
Standards-Version: 3.9.6

Package: chromium-browser
Architecture: armhf armel i386 amd64
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends},
	bash (>= 4),
	libnss3,
	xdg-utils,
	chromium-codecs-ffmpeg-extra (>= 0.6) | chromium-codecs-ffmpeg (>= 0.6)
Recommends: chromium-browser-l10n
Suggests: webaccounts-chromium-extension,
	unity-chromium-extension,
	adobe-flashplugin
Provides: www-browser, chromium-browser-inspector
Replaces: chromium-browser-inspector
Conflicts: chromium-browser-inspector
Description: Chromium web browser, open-source version of Chrome
 An open-source browser project that aims to build a safer, faster, and more
 stable way for all Internet users to experience the web.

Package: chromium-browser-dbg
Architecture: armhf armel i386 amd64
Priority: extra
Section: debug
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, chromium-browser (= ${binary:Version})
Description: chromium-browser debug symbols
 Debug symbols for the Chromium browser

Package: chromium-browser-l10n
Architecture: all
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, chromium-browser (>= ${binary:Version}),
 chromium-browser (<< ${binary:Version}.1~)
Replaces: chromium-browser
Description: chromium-browser language packages
 An open-source browser project that aims to build a safer, faster, and more
 stable way for all Internet users to experience the web.
 .
 This package contains language packages for 65 languages:
 am, ar, ast, bg, bn, bs, ca, ca@valencia, cs, da, de, el, en-AU, en-GB, eo,
 es-419, es, et, eu, fa, fil, fi, fr, gl, gu, he, hi, hr, hu, hy, ia, id, it,
 ja, ka, kn, ko, ku, kw, lt, lv, ml, mr, ms, nb, nl, pl, pt-BR, pt-PT, ro, ru,
 sk, sl, sr, sv, sw, ta, te, th, tr, ug, uk, vi, zh-CN, zh-TW

Package: chromium-codecs-ffmpeg
Architecture: armhf armel i386 amd64
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: chromium-codecs-ffmpeg-extra
Replaces: chromium-codecs-ffmpeg-extra
Description: Free ffmpeg codecs for the Chromium Browser
 An open-source browser project that aims to build a safer, faster, and more
 stable way for all Internet users to experience the web.
 .
 This package contains the multi-threaded ffmpeg codecs needed for the HTML5
 <audio> and <video> tags. Only the free ogg, vorbis and theora codecs are
 included. See chromium-codecs-ffmpeg-extra for additional codecs

Package: chromium-codecs-ffmpeg-dbg
Architecture: armhf armel i386 amd64
Section: debug
Priority: extra
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, chromium-codecs-ffmpeg (= ${binary:Version})
Conflicts: chromium-codecs-ffmpeg-extra-dbg
Replaces: chromium-codecs-ffmpeg-extra-dbg
Description: chromium-codecs-ffmpeg debug symbols
 Debug symbols for the free ffmpeg-mt codecs

Package: chromium-codecs-ffmpeg-extra
Architecture: armhf armel i386 amd64
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: chromium-codecs-ffmpeg
Replaces: chromium-codecs-ffmpeg
Description: Extra ffmpeg codecs for the Chromium Browser
 An open-source browser project that aims to build a safer, faster, and more
 stable way for all Internet users to experience the web.
 .
 This package contains the multi-threaded ffmpeg codecs needed for the HTML5
 <audio> and <video> tags. In addition to the patent-free ogg, vorbis and
 theora codecs, aac/ac3/mpeg4audio/h264/mov/mp3 are also included.  See
 chromium-codecs-ffmpeg if you prefer only the patent-free codecs

Package: chromium-codecs-ffmpeg-extra-dbg
Architecture: armhf armel i386 amd64
Section: debug
Priority: extra
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, chromium-codecs-ffmpeg-extra (= ${binary:Version})
Conflicts: chromium-codecs-ffmpeg-dbg
Replaces: chromium-codecs-ffmpeg-dbg
Description: chromium-codecs-ffmpeg-extra debug symbols
 Debug symbols for the extra ffmpeg-mt codecs

Package: chromium-chromedriver
Architecture: armhf armel i386 amd64
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}, chromium-browser (>= 4.0.203.0~)
Description: WebDriver driver for the Chromium Browser
 Chromedriver serves as a bridge between Chromium Browser and Selenium 
 WebDriver.
 .
 See http://code.google.com/p/selenium/wiki/ChromeDriver for details.

Package: chromium-chromedriver-dbg
Architecture: armhf armel i386 amd64
Pre-Depends: dpkg (>= 1.15.6)
Section: debug
Priority: extra
Depends: ${misc:Depends}, chromium-chromedriver (= ${binary:Version})
Description: chromium-chromedriver debug symbols
 Debug symbols for the chromium-chromedriver package.

=== debian/rules ===
#!/usr/bin/make -f

DEBIAN_NAME		:= $(shell dpkg-parsechangelog | sed -n 's/^Source: *\(.*\)$$/\1/ p')
DEBIAN_VERSION		:= $(shell dpkg-parsechangelog | sed -n 's/^Version: *\(.*\)$$/\1/ p')
DEBIAN_UPSTREAM_VERSION	:= $(shell echo $(DEBIAN_VERSION) | sed 's/^\(.*\)-[^-]*$$/\1/')
DEBIAN_REVISION		:= $(shell echo $(DEBIAN_VERSION) | sed 's/^.*r\([^-]*\)-.*/\1/')
DEBIAN_DIST		:= $(shell lsb_release -ds | tr -d '()' |sed -e 's/\#/ /g')
DEBIAN_DIST_NAME	:= $(shell lsb_release -si |sed -e 's/\#/ /g')
DEBIAN_DIST_VERSION	:= $(shell lsb_release -sr |sed -e 's/\#/ /g')

DEBIAN_CODECS_NAME      := $(subst browser,codecs-ffmpeg,$(DEBIAN_NAME))
DEBIAN_DRIVER_NAME      := $(subst browser,chromedriver,$(DEBIAN_NAME))

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_ARCH
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

DEB_TAR_SRCDIR := .
SRC_DIR        := $(CURDIR)/$(DEB_TAR_SRCDIR)
LIB_DIR        := usr/lib/$(DEBIAN_NAME)
BINARY_PACKAGE_COMPRESSION ?= xz
FFMPEG_DIR     := third_party/ffmpeg
FFMPEG_SRC_DIR := $(SRC_DIR)/$(FFMPEG_DIR)
NINJA          := ninja
SNAPPY_PKGR_TO_USE :=

# Whitelist LP provided new langs only in release builds, PPAs ship them all
WANT_ONLY_WHITELISTED_NEW_LANGS ?= 0

ifneq (,$(findstring Ubuntu,$(DEBIAN_DIST)))
DISTRIBUTION=UBUNTU
UBUNTU_DIST=$(DEBIAN_DIST)
endif

ifneq (,$(findstring Debian,$(DEBIAN_DIST)))
DISTRIBUTION=DEBIAN
endif

WANT_DEBUG       ?= 0

WANT_SHARED_LIBS ?= 0

# Set up Google API keys, see http://www.chromium.org/developers/how-tos/api-keys .
# Note: these are for Ubuntu use ONLY. For your own distribution,
# please get your own set of keys.
# Permission to add API keys, from Paweł Hajdan, To chad.miller@canonical.com
# msgid: CAADNaOFSFoch68NM1SGpCTRXqmspyKQgUPUtsF7SGRsRXiHZcg@mail.gmail.com
GOOGLEAPI_APIKEY_UBUNTU := AIzaSyAQfxPJiounkhOjODEO5ZieffeBv6yft2Q
GOOGLEAPI_CLIENTID_UBUNTU := 424119844901.apps.googleusercontent.com
GOOGLEAPI_CLIENTSECRET_UBUNTU := AIienwDlGIIsHoKnNHmWGXyJ

GYP_PARAMS := --depth=$(CURDIR) --format=ninja

BROWSER_GYP_DEFINES =
FFMPEG_MT_GYP_DEFINES =
GYP_DEFINES =

# Build the launchpad translations (already landed upstream)
GYP_DEFINES += use_third_party_translations=1

# Always add debug symbols, and strip them when we don't want them.
#GYP_DEFINES += release_extra_cflags="-g"

# Don't fail on compilation warnings.
GYP_DEFINES += werror=$(NULL)

# We are never using a sysroot-based toolchain; override the wrong
# autodetection for arm.
GYP_DEFINES += sysroot=

# Link directly to library instead of using dlopen.
GYP_DEFINES += linux_link_gsettings=1

# Disable NaCl until we figure out what to do with the private toolchain
GYP_DEFINES += disable_nacl=1

# do not use third_party/gold as the linker.
GYP_DEFINES += linux_use_gold_binary=0 linux_use_gold_flags=0

# enable features that we want.
GYP_DEFINES += enable_webrtc=1

# get resources for high dpi and touch
GYP_DEFINES += use_aura=1
GYP_DEFINES += enable_hidpi=1
GYP_DEFINES += enable_touch_ui=1

# add support and stubbed implementation of widevine (needed for EME)
GYP_DEFINES += enable_widevine=1

# Prefer gcc/g++ over clang until clang is better tested in Ubuntu.
GYP_DEFINES += clang=0

#GYP_DEFINES += use_ozone=1 ozone_auto_platforms=0 ozone_platform_mir=1 ozone_platform_wayland=0
#GYP_DEFINES += use_ozone=1
#GYP_DEFINES += ozone_platform_mir=1

# Intentional configuration, not bug work-arounds.
ifeq (arm,$(DEB_HOST_ARCH_CPU))

GYP_DEFINES += \
	arm_neon=0 \
	target_arch=arm \
	use_cups=1 \
	$(NULL)

 ifeq (armel,$(DEB_HOST_ARCH))
GYP_DEFINES += \
	v8_use_arm_eabi_hardfloat=false \
	arm_float_abi=soft \
	arm_thumb=0 \
	armv7=0 \
	$(NULL)
 endif
 ifeq (armhf,$(DEB_HOST_ARCH))
GYP_PARAMS += -DUSE_EABI_HARDFLOAT 
# ARN Neon optional flag is off because it causes build errors, AND testing
# /proc/cpuinfo contents can't work with a sandbox anyway.
GYP_DEFINES += \
	arm_neon_optional=0 \
	v8_use_arm_eabi_hardfloat=true \
	arm_fpu=vfpv3-d16 \
	arm_float_abi=hard \
	arm_thumb=1 \
	armv7=1 \
	arm_version=7 \
	$(NULL)
 endif
endif
ifeq (amd64,$(DEB_HOST_ARCH))
GYP_DEFINES += target_arch=x64
endif
ifeq (i386,$(DEB_HOST_ARCH))
GYP_DEFINES += target_arch=ia32
# SEGV on component builds, 2013-05
GYP_DEFINES += use_allocator=none
# Some mobile CPUs don't support SSE instructions. SIGILL. 2014-08
GYP_DEFINES += disable_sse2=1
endif

# Do this for every architecture. More than 4GB of memory is too much to expect
# of builders.
COMPONENT_SHARED_LIB_BUILD := 1

ifeq (1,$(COMPONENT_SHARED_LIB_BUILD))
BROWSER_GYP_DEFINES += component=shared_library
FFMPEG_MT_GYP_DEFINES += component=shared_library
endif

# Webkit library is enormous. Exclude for now.
GYP_DEFINES += remove_webcore_debug_symbols=1

# Don't let dh_installinit install *.default in /etc/default
DEB_DH_INSTALLINIT_ARGS += --noscripts --onlyscripts

# Don't let scour touch the svg files
DEB_DH_SCOUR_ARGS += -Xsvg

DEB_DH_BUILDDEB_ARGS += -- -Z $(BINARY_PACKAGE_COMPRESSION)

ifneq (0,$(WANT_DEBUG))
BUILD_TYPE := Debug
else
BUILD_TYPE := Release
# Add symbols
GYP_DEFINES += linux_dump_symbols=1
GYP_DEFINES += logging_like_official_build=1
endif

BUILD_ARGS += -C $(DEB_TAR_SRCDIR)/out/$(BUILD_TYPE)

# Shared libraries
ifeq (1,$(WANT_SHARED_LIBS))
GYP_DEFINES += library=shared_library
endif

#post-patches::
#	sed -i 's^\("/usr/lib/nss"\)^/*REM \1 REM*/"/usr/lib/$(DEB_HOST_MULTIARCH)/nss"/**/^' $(DEB_TAR_SRCDIR)/crypto/nss_util.cc
#	perl $(CURDIR)/debian/enable-dist-patches.pl $(DEBIAN_DIST_VERSION) $(CURDIR)/debian/patches/series


subst_files = \
	debian/$(DEBIAN_NAME).sh \
	$(NULL)


# FFmpeg-mt
# Don't build it as part of chromium. Build it separately twice, once with
# the Chrome branding to gain the extra codecs, and once without branding.
# The ffmpeg_branding variable controls which codecs are built inside the sumo lib.
# By default, ffmpeg_branding equals to "Chromium" and only builds the ogg/vorbis/theora codecs.
# When set to "Chrome", it also builds aac/ac3/mpeg4audio/h264/mov/mp3
DEB_DH_SHLIBDEPS_ARGS_$(DEBIAN_CODECS_NAME) := -l$(CURDIR)/debian/$(DEBIAN_CODECS_NAME)/$(LIB_DIR)
DEB_DH_SHLIBDEPS_ARGS_$(DEBIAN_CODECS_NAME)-extra := -l$(CURDIR)/debian/$(DEBIAN_CODECS_NAME)-extra/$(LIB_DIR)
BROWSER_GYP_DEFINES += \
	proprietary_codecs=1 \
	build_ffmpegsumo=0 \
	$(NULL)
FFMPEG_MT_GYP_DEFINES = \
	use_system_vpx=0 \
	release_extra_cflags=-g \
	$(NULL)
FFMPEG_MT_STD_GYP_DEFINES   = $(NULL)
FFMPEG_MT_EXTRA_GYP_DEFINES = ffmpeg_branding=Chrome

# Precise doesn't set some settings.
ifeq (,$(filter 12.04%,$(UBUNTU_DIST)))
# enable compile-time dependency on gnome-keyring
GYP_DEFINES += use_gnome_keyring=1 linux_link_gnome_keyring=1
# controlling the use of GConf (the classic GNOME configuration
# and GIO, which contains GSettings (the new GNOME config system)
GYP_DEFINES += use_gconf=1 use_gio=1
endif

# Build chrome and chrome_sandbox, and chromedriver
BUILD_TARGETS := \
	pdf \
	chrome \
	chrome_sandbox \
	chromedriver \
	$(NULL)

# Needed to preserve the suid and make the sandbox happy
DEB_FIXPERMS_EXCLUDE := chrome-sandbox

ifneq (,$(GOOGLEAPI_APIKEY_$(DISTRIBUTION)))
GYP_DEFINES += \
	google_api_key='$(GOOGLEAPI_APIKEY_$(DISTRIBUTION))' \
	google_default_client_id='$(GOOGLEAPI_CLIENTID_$(DISTRIBUTION))' \
	google_default_client_secret='$(GOOGLEAPI_CLIENTSECRET_$(DISTRIBUTION))'
else
$(warning Google API info is not set in build variables GOOGLEAPI_APIKEY_$(DISTRIBUTION) GOOGLEAPI_CLIENTID_$(DISTRIBUTION) GOOGLEAPI_CLIENTSECRET_$(DISTRIBUTION))
endif

ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))

=== debian/tests/control ===
Tests: smoketest
Depends: xvfb, bash, python3-minimal, unity-chromium-extension, 
  libsikuli-script-java, metacity, x11-apps

## chromium-browser 43.0.2357.130

=== v8/Makefile ===
# Copyright 2012 the V8 project authors. All rights reserved.
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#     * Neither the name of Google Inc. nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


# Variable default definitions. Override them by exporting them in your shell.
OUTDIR ?= out
TESTJOBS ?=
GYPFLAGS ?=
TESTFLAGS ?=
ANDROID_NDK_ROOT ?=
ANDROID_NDK_HOST_ARCH ?=
ANDROID_TOOLCHAIN ?=
ANDROID_V8 ?= /data/local/tmp/v8
NACL_SDK_ROOT ?=

# Special build flags. Use them like this: "make library=shared"

# library=shared || component=shared_library
ifeq ($(library), shared)
  GYPFLAGS += -Dcomponent=shared_library
endif
ifdef component
  GYPFLAGS += -Dcomponent=$(component)
endif
# console=readline
ifdef console
  GYPFLAGS += -Dconsole=$(console)
endif
# disassembler=on
ifeq ($(disassembler), on)
  GYPFLAGS += -Dv8_enable_disassembler=1
endif
# objectprint=on
ifeq ($(objectprint), on)
  GYPFLAGS += -Dv8_object_print=1
endif
# verifyheap=on
ifeq ($(verifyheap), on)
  GYPFLAGS += -Dv8_enable_verify_heap=1
endif
# tracemaps=on
ifeq ($(tracemaps), on)
  GYPFLAGS += -Dv8_trace_maps=1
endif
# backtrace=off
ifeq ($(backtrace), off)
  GYPFLAGS += -Dv8_enable_backtrace=0
else
  GYPFLAGS += -Dv8_enable_backtrace=1
endif
# verifypredictable=on
ifeq ($(verifypredictable), on)
  GYPFLAGS += -Dv8_enable_verify_predictable=1
endif
# snapshot=off
ifeq ($(snapshot), off)
  GYPFLAGS += -Dv8_use_snapshot='false'
endif
ifeq ($(snapshot), external)
  GYPFLAGS += -Dv8_use_external_startup_data=1
endif
# extrachecks=on/off
ifeq ($(extrachecks), on)
  GYPFLAGS += -Ddcheck_always_on=1 -Dv8_enable_handle_zapping=1
endif
ifeq ($(extrachecks), off)
  GYPFLAGS += -Ddcheck_always_on=0 -Dv8_enable_handle_zapping=0
endif
# slowdchecks=on/off
ifeq ($(slowdchecks), on)
  GYPFLAGS += -Dv8_enable_slow_dchecks=1
endif
ifeq ($(slowdchecks), off)
  GYPFLAGS += -Dv8_enable_slow_dchecks=0
endif
# gdbjit=on/off
ifeq ($(gdbjit), on)
  GYPFLAGS += -Dv8_enable_gdbjit=1
endif
ifeq ($(gdbjit), off)
  GYPFLAGS += -Dv8_enable_gdbjit=0
endif
# vtunejit=on
ifeq ($(vtunejit), on)
  GYPFLAGS += -Dv8_enable_vtunejit=1
endif
# unalignedaccess=on
ifeq ($(unalignedaccess), on)
  GYPFLAGS += -Dv8_can_use_unaligned_accesses=true
endif
# randomseed=12345, disable random seed via randomseed=0
ifdef randomseed
  GYPFLAGS += -Dv8_random_seed=$(randomseed)
endif
# soname_version=1.2.3
ifdef soname_version
  GYPFLAGS += -Dsoname_version=$(soname_version)
endif
# werror=no
ifeq ($(werror), no)
  GYPFLAGS += -Dwerror=''
endif
# presubmit=no
ifeq ($(presubmit), no)
  TESTFLAGS += --no-presubmit
endif
# strictaliasing=off (workaround for GCC-4.5)
ifeq ($(strictaliasing), off)
  GYPFLAGS += -Dv8_no_strict_aliasing=1
endif
# regexp=interpreted
ifeq ($(regexp), interpreted)
  GYPFLAGS += -Dv8_interpreted_regexp=1
endif
# i18nsupport=off
ifeq ($(i18nsupport), off)
  GYPFLAGS += -Dv8_enable_i18n_support=0
  TESTFLAGS += --noi18n
endif
# deprecation_warnings=on
ifeq ($(deprecationwarnings), on)
  GYPFLAGS += -Dv8_deprecation_warnings=1
endif
# asan=on
ifeq ($(asan), on)
  GYPFLAGS += -Dasan=1 -Dclang=1
  TESTFLAGS += --asan
  ifeq ($(lsan), on)
    GYPFLAGS += -Dlsan=1
  endif
endif
ifdef embedscript
  GYPFLAGS += -Dembed_script=$(embedscript)
endif

# arm specific flags.
# arm_version=<number | "default">
ifneq ($(strip $(arm_version)),)
  GYPFLAGS += -Darm_version=$(arm_version)
else
# Deprecated (use arm_version instead): armv7=false/true
ifeq ($(armv7), false)
  GYPFLAGS += -Darm_version=6
else
ifeq ($(armv7), true)
  GYPFLAGS += -Darm_version=7
endif
endif
endif
# hardfp=on/off. Deprecated, use armfloatabi
ifeq ($(hardfp),on)
  GYPFLAGS += -Darm_float_abi=hard
else
ifeq ($(hardfp),off)
  GYPFLAGS += -Darm_float_abi=softfp
endif
endif
# fpu: armfpu=xxx
# xxx: vfp, vfpv3-d16, vfpv3, neon.
ifeq ($(armfpu),)
  GYPFLAGS += -Darm_fpu=default
else
  GYPFLAGS += -Darm_fpu=$(armfpu)
endif
# float abi: armfloatabi=softfp/hard
ifeq ($(armfloatabi),)
ifeq ($(hardfp),)
  GYPFLAGS += -Darm_float_abi=default
endif
else
  GYPFLAGS += -Darm_float_abi=$(armfloatabi)
endif
# armthumb=on/off
ifeq ($(armthumb), off)
  GYPFLAGS += -Darm_thumb=0
else
ifeq ($(armthumb), on)
  GYPFLAGS += -Darm_thumb=1
endif
endif
# arm_test_noprobe=on
# With this flag set, by default v8 will only use features implied
# by the compiler (no probe). This is done by modifying the default
# values of enable_armv7, enable_vfp3, enable_32dregs and enable_neon.
# Modifying these flags when launching v8 will enable the probing for
# the specified values.
ifeq ($(arm_test_noprobe), on)
  GYPFLAGS += -Darm_test_noprobe=on
endif

# ----------------- available targets: --------------------
# - "grokdump": rebuilds heap constants lists used by grokdump
# - any arch listed in ARCHES (see below)
# - any mode listed in MODES
# - every combination <arch>.<mode>, e.g. "ia32.release"
# - "native": current host's architecture, release mode
# - any of the above with .check appended, e.g. "ia32.release.check"
# - "android": cross-compile for Android/ARM
# - "nacl" : cross-compile for Native Client (ia32 and x64)
# - default (no target specified): build all DEFAULT_ARCHES and MODES
# - "check": build all targets and run all tests
# - "<arch>.clean" for any <arch> in ARCHES
# - "clean": clean all ARCHES

# ----------------- internal stuff ------------------------

# Architectures and modes to be compiled. Consider these to be internal
# variables, don't override them (use the targets instead).
ARCHES = ia32 x64 x32 arm arm64 mips mipsel mips64el x87 ppc ppc64
DEFAULT_ARCHES = ia32 x64 arm
MODES = release debug optdebug
DEFAULT_MODES = release debug
ANDROID_ARCHES = android_ia32 android_x64 android_arm android_arm64 \
		 android_mipsel android_x87
NACL_ARCHES = nacl_ia32 nacl_x64

# List of files that trigger Makefile regeneration:
GYPFILES = third_party/icu/icu.gypi third_party/icu/icu.gyp \
	   build/shim_headers.gypi build/features.gypi build/standalone.gypi \
	   build/toolchain.gypi build/all.gyp build/mac/asan.gyp \
	   build/android.gypi test/cctest/cctest.gyp \
	   test/unittests/unittests.gyp tools/gyp/v8.gyp \
	   tools/parser-shell.gyp testing/gmock.gyp testing/gtest.gyp \
	   buildtools/third_party/libc++abi/libc++abi.gyp \
	   buildtools/third_party/libc++/libc++.gyp samples/samples.gyp \
	   src/third_party/vtune/v8vtune.gyp src/d8.gyp

# If vtunejit=on, the v8vtune.gyp will be appended.
ifeq ($(vtunejit), on)
  GYPFILES += src/third_party/vtune/v8vtune.gyp
endif
# Generates all combinations of ARCHES and MODES, e.g. "ia32.release".
BUILDS = $(foreach mode,$(MODES),$(addsuffix .$(mode),$(ARCHES)))
ANDROID_BUILDS = $(foreach mode,$(MODES), \
                   $(addsuffix .$(mode),$(ANDROID_ARCHES)))
NACL_BUILDS = $(foreach mode,$(MODES), \
                   $(addsuffix .$(mode),$(NACL_ARCHES)))
# Generates corresponding test targets, e.g. "ia32.release.check".
CHECKS = $(addsuffix .check,$(BUILDS))
QUICKCHECKS = $(addsuffix .quickcheck,$(BUILDS))
ANDROID_CHECKS = $(addsuffix .check,$(ANDROID_BUILDS))
NACL_CHECKS = $(addsuffix .check,$(NACL_BUILDS))
# File where previously used GYPFLAGS are stored.
ENVFILE = $(OUTDIR)/environment

.PHONY: all check clean builddeps dependencies $(ENVFILE).new native \
        qc quickcheck $(QUICKCHECKS) turbocheck \
        $(addsuffix .quickcheck,$(MODES)) $(addsuffix .quickcheck,$(ARCHES)) \
        $(ARCHES) $(MODES) $(BUILDS) $(CHECKS) $(addsuffix .clean,$(ARCHES)) \
        $(addsuffix .check,$(MODES)) $(addsuffix .check,$(ARCHES)) \
        $(ANDROID_ARCHES) $(ANDROID_BUILDS) $(ANDROID_CHECKS) \
        must-set-ANDROID_NDK_ROOT_OR_TOOLCHAIN \
        $(NACL_ARCHES) $(NACL_BUILDS) $(NACL_CHECKS) \
        must-set-NACL_SDK_ROOT

# Target definitions. "all" is the default.
all: $(DEFAULT_MODES)

# Special target for the buildbots to use. Depends on $(OUTDIR)/Makefile
# having been created before.
buildbot:
	$(MAKE) -C "$(OUTDIR)" BUILDTYPE=$(BUILDTYPE) \
	        builddir="$(abspath $(OUTDIR))/$(BUILDTYPE)"

# Compile targets. MODES and ARCHES are convenience targets.
.SECONDEXPANSION:
$(MODES): $(addsuffix .$$@,$(DEFAULT_ARCHES))

$(ARCHES): $(addprefix $$@.,$(DEFAULT_MODES))

# Defines how to build a particular target (e.g. ia32.release).
$(BUILDS): $(OUTDIR)/Makefile.$$@
	@$(MAKE) -C "$(OUTDIR)" -f Makefile.$@ \
	         BUILDTYPE=$(shell echo $(subst .,,$(suffix $@)) | \
	                     python -c "print \
	                     raw_input().replace('opt', '').capitalize()") \
	         builddir="$(shell pwd)/$(OUTDIR)/$@"

native: $(OUTDIR)/Makefile.native
	@$(MAKE) -C "$(OUTDIR)" -f Makefile.native \
	         BUILDTYPE=Release \
	         builddir="$(shell pwd)/$(OUTDIR)/$@"

$(ANDROID_ARCHES): $(addprefix $$@.,$(MODES))

$(ANDROID_BUILDS): $(GYPFILES) $(ENVFILE) build/android.gypi \
                   must-set-ANDROID_NDK_ROOT_OR_TOOLCHAIN Makefile.android
	@$(MAKE) -f Makefile.android $@ \
	        ARCH="$(basename $@)" \
	        MODE="$(subst .,,$(suffix $@))" \
	        OUTDIR="$(OUTDIR)" \
	        GYPFLAGS="$(GYPFLAGS)"

$(NACL_ARCHES): $(addprefix $$@.,$(MODES))

$(NACL_BUILDS): $(GYPFILES) $(ENVFILE) \
		   Makefile.nacl must-set-NACL_SDK_ROOT
	@$(MAKE) -f Makefile.nacl $@ \
	        ARCH="$(basename $@)" \
	        MODE="$(subst .,,$(suffix $@))" \
	        OUTDIR="$(OUTDIR)" \
	        GYPFLAGS="$(GYPFLAGS)"

# Test targets.
check: all
	@tools/run-tests.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --arch=$(shell echo $(DEFAULT_ARCHES) | sed -e 's/ /,/g') \
	    $(TESTFLAGS)

$(addsuffix .check,$(MODES)): $$(basename $$@)
	@tools/run-tests.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --mode=$(basename $@) $(TESTFLAGS)

$(addsuffix .check,$(ARCHES)): $$(basename $$@)
	@tools/run-tests.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --arch=$(basename $@) $(TESTFLAGS)

$(CHECKS): $$(basename $$@)
	@tools/run-tests.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --arch-and-mode=$(basename $@) $(TESTFLAGS)

$(addsuffix .quickcheck,$(MODES)): $$(basename $$@)
	@tools/run-tests.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --mode=$(basename $@) $(TESTFLAGS) --quickcheck

$(addsuffix .quickcheck,$(ARCHES)): $$(basename $$@)
	@tools/run-tests.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --arch=$(basename $@) $(TESTFLAGS) --quickcheck

$(QUICKCHECKS): $$(basename $$@)
	@tools/run-tests.py $(TESTJOBS) --outdir=$(OUTDIR) \
	    --arch-and-mode=$(basename $@) $(TESTFLAGS) --quickcheck

$(addsuffix .sync, $(ANDROID_BUILDS)): $$(basename $$@)
	@tools/android-sync.sh $(basename $@) $(OUTDIR) \
	                       $(shell pwd) $(ANDROID_V8)

$(addsuffix .check, $(ANDROID_BUILDS)): $$(basename $$@).sync

=== tools/clang/blink_gc_plugin/CMakeLists.txt ===
# This line is read by update.sh and other scripts in tools/clang/scripts
# Note: The spaces are significant.
set(LIBRARYNAME BlinkGCPlugin)

add_llvm_loadable_module("lib${LIBRARYNAME}"
                         BlinkGCPlugin.cpp
                         Edge.cpp
                         RecordInfo.cpp
                        )

add_dependencies("lib${LIBRARYNAME}" clang)

cr_install(TARGETS "lib${LIBRARYNAME}" LIBRARY DESTINATION lib)

cr_add_test(blink_gc_plugin_test
  ${CMAKE_CURRENT_SOURCE_DIR}/tests/test.sh
  ${CMAKE_BINARY_DIR}/bin/clang
  $<TARGET_FILE:lib${LIBRARYNAME}>
  )

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	libexif-dev,
 	libgcrypt-dev,
 	libkrb5-dev,
+	libxkbcommon-dev,
 	libssl-dev,
 	chrpath,
 	gcc-4.8,

=== debian/rules ===
--- 
+++ 
@@ -89,7 +89,7 @@
 GYP_DEFINES += enable_touch_ui=1
 
 # add support and stubbed implementation of widevine (needed for EME)
-GYP_DEFINES += enable_widevine=1
+GYP_DEFINES += enable_widevine=1 enable_pepper_cdms=1
 
 # Prefer gcc/g++ over clang until clang is better tested in Ubuntu.
 GYP_DEFINES += clang=0

=== debian/tests/control ===
Tests: smoketest
Depends: xvfb, bash, python3-minimal, unity-chromium-extension,
  libsikuli-script-java, metacity, x11-apps, python3-httplib2,
  dbus-x11

## chromium-browser 44.0.2403.89

=== debian/changelog ===
chromium-browser (44.0.2403.89-0ubuntu0.14.04.1.1095) trusty-security; urgency=medium

  * Upstream release 44.0.2403.89: (LP: #1477662)
    - CVE-2015-1271: Heap-buffer-overflow in pdfium.
    - CVE-2015-1273: Heap-buffer-overflow in pdfium.
    - CVE-2015-1274: Settings allowed executable files to run immediately
      after download.
    - CVE-2015-1275: UXSS in Chrome for Android.
    - CVE-2015-1276: Use-after-free in IndexedDB.
    - CVE-2015-1279: Heap-buffer-overflow in pdfium.
    - CVE-2015-1280: Memory corruption in skia.
    - CVE-2015-1281: CSP bypass.
    - CVE-2015-1282: Use-after-free in pdfium.
    - CVE-2015-1283: Heap-buffer-overflow in expat.
    - CVE-2015-1284: Use-after-free in blink.
    - CVE-2015-1286: UXSS in blink.
    - CVE-2015-1287: SOP bypass with CSS.
    - CVE-2015-1270: Uninitialized memory read in ICU.
    - CVE-2015-1272: Use-after-free related to unexpected GPU process
      termination.
    - CVE-2015-1277: Use-after-free in accessibility.
    - CVE-2015-1278: URL spoofing using pdf files.
    - CVE-2015-1285: Information leak in XSS auditor.
    - CVE-2015-1288: Spell checking dictionaries fetched over HTTP.
    - CVE-2015-1289: Various fixes from internal audits, fuzzing and other
      initiatives.
  * debian/rules, debian/chromium-codecs-ffmpeg{,-extra}.install: ffmpeg is a
    first-class component library now, not a special snowflake. Still, build
    it differently, but build flags are different. 
  * debian/tests/smoketest-actual: Remove some innocuous mentions of "error"
    before testing for actual errors.
  * debian/control: codec library packages replace the libffmpeg.so that 
    was in chromium packages before now.
  * debian/control: codec packages can't reasonably be updated separately 
    than chromium. Depend with version specification also.

 -- Chad MILLER <chad.miller@canonical.com>  Tue, 28 Jul 2015 11:19:11 -0400

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
 	libexif-dev,
 	libgcrypt-dev,
 	libkrb5-dev,
-	libxkbcommon-dev,
 	libssl-dev,
 	chrpath,
 	gcc-4.8,
@@ -48,7 +47,7 @@
 	bash (>= 4),
 	libnss3,
 	xdg-utils,
-	chromium-codecs-ffmpeg-extra (>= 0.6) | chromium-codecs-ffmpeg (>= 0.6)
+	chromium-codecs-ffmpeg-extra (= ${binary:Version}) | chromium-codecs-ffmpeg (= ${binary:Version})
 Recommends: chromium-browser-l10n
 Suggests: webaccounts-chromium-extension,
 	unity-chromium-extension,
@@ -89,8 +88,8 @@
 Architecture: armhf armel i386 amd64
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chromium-codecs-ffmpeg-extra
-Replaces: chromium-codecs-ffmpeg-extra
+Conflicts: chromium-codecs-ffmpeg-extra, chromium-browser (<< 44)
+Replaces: chromium-codecs-ffmpeg-extra, chromium-browser (<< 44)
 Description: Free ffmpeg codecs for the Chromium Browser
  An open-source browser project that aims to build a safer, faster, and more
  stable way for all Internet users to experience the web.
@@ -105,8 +104,8 @@
 Priority: extra
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}, chromium-codecs-ffmpeg (= ${binary:Version})
-Conflicts: chromium-codecs-ffmpeg-extra-dbg
-Replaces: chromium-codecs-ffmpeg-extra-dbg
+Conflicts: chromium-codecs-ffmpeg-extra-dbg, chromium-browser-dbg (<< 44)
+Replaces: chromium-codecs-ffmpeg-extra-dbg, chromium-browser-dbg (<< 44)
 Description: chromium-codecs-ffmpeg debug symbols
  Debug symbols for the free ffmpeg-mt codecs
 
@@ -114,8 +113,8 @@
 Architecture: armhf armel i386 amd64
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chromium-codecs-ffmpeg
-Replaces: chromium-codecs-ffmpeg
+Conflicts: chromium-codecs-ffmpeg, chromium-browser (<< 44)
+Replaces: chromium-codecs-ffmpeg, chromium-browser (<< 44)
 Description: Extra ffmpeg codecs for the Chromium Browser
  An open-source browser project that aims to build a safer, faster, and more
  stable way for all Internet users to experience the web.
@@ -131,8 +130,8 @@
 Priority: extra
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}, chromium-codecs-ffmpeg-extra (= ${binary:Version})
-Conflicts: chromium-codecs-ffmpeg-dbg
-Replaces: chromium-codecs-ffmpeg-dbg
+Conflicts: chromium-codecs-ffmpeg-dbg, chromium-browser-dbg (<< 44)
+Replaces: chromium-codecs-ffmpeg-dbg, chromium-browser-dbg (<< 44)
 Description: chromium-codecs-ffmpeg-extra debug symbols
  Debug symbols for the extra ffmpeg-mt codecs

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 GYP_PARAMS := --depth=$(CURDIR) --format=ninja
 
 BROWSER_GYP_DEFINES =
-FFMPEG_MT_GYP_DEFINES =
+FFMPEG_GYP_DEFINES =
 GYP_DEFINES =
 
 # Build the launchpad translations (already landed upstream)
@@ -147,7 +147,7 @@
 
 ifeq (1,$(COMPONENT_SHARED_LIB_BUILD))
 BROWSER_GYP_DEFINES += component=shared_library
-FFMPEG_MT_GYP_DEFINES += component=shared_library
+FFMPEG_GYP_DEFINES += component=shared_library
 endif
 
 # Webkit library is enormous. Exclude for now.
@@ -170,6 +170,7 @@
 GYP_DEFINES += logging_like_official_build=1
 endif
 
+BUILD_ARGS := -v 
 BUILD_ARGS += -C $(DEB_TAR_SRCDIR)/out/$(BUILD_TYPE)
 
 # Shared libraries
@@ -190,21 +191,20 @@
 # FFmpeg-mt
 # Don't build it as part of chromium. Build it separately twice, once with
 # the Chrome branding to gain the extra codecs, and once without branding.
-# The ffmpeg_branding variable controls which codecs are built inside the sumo lib.
+# The ffmpeg_branding variable controls which codecs are built inside the ffmpeg lib.
 # By default, ffmpeg_branding equals to "Chromium" and only builds the ogg/vorbis/theora codecs.
 # When set to "Chrome", it also builds aac/ac3/mpeg4audio/h264/mov/mp3
 DEB_DH_SHLIBDEPS_ARGS_$(DEBIAN_CODECS_NAME) := -l$(CURDIR)/debian/$(DEBIAN_CODECS_NAME)/$(LIB_DIR)
 DEB_DH_SHLIBDEPS_ARGS_$(DEBIAN_CODECS_NAME)-extra := -l$(CURDIR)/debian/$(DEBIAN_CODECS_NAME)-extra/$(LIB_DIR)
 BROWSER_GYP_DEFINES += \
 	proprietary_codecs=1 \
-	build_ffmpegsumo=0 \
-	$(NULL)
-FFMPEG_MT_GYP_DEFINES = \
+	$(NULL)
+FFMPEG_GYP_DEFINES += \
 	use_system_vpx=0 \
 	release_extra_cflags=-g \
 	$(NULL)
-FFMPEG_MT_STD_GYP_DEFINES   = $(NULL)
-FFMPEG_MT_EXTRA_GYP_DEFINES = ffmpeg_branding=Chrome
+FFMPEG_STD_GYP_DEFINES   = $(NULL)
+FFMPEG_EXTRA_GYP_DEFINES = ffmpeg_branding=Chrome
 
 # Precise doesn't set some settings.
 ifeq (,$(filter 12.04%,$(UBUNTU_DIST)))
